Bug 188137 - CLUSTERIP module of iptables does not work
CLUSTERIP module of iptables does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 07:27 EDT by Michael Schwartzkopff
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 12:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwartzkopff 2006-04-06 07:27:23 EDT
Description of problem:

Target CLUSTERIP in a iptables rule does not work. It seems that the nescessary
library is missing.

Version-Release number of selected component (if applicable):
FC5 (xen, dom0) fully patched (yum update)

How reproducible:
Fully reproducably (on my xen system on dom0 and domU)

Steps to Reproduce:
1. iptables -I INPUT -i eth0 -p tcp --dport 80 -d 192.168.188.1 -j CLUSTERIP
2. iptables -I INPUT ... with all nescessary options of the CLUSTERIP target
  
Actual results:
1. Error message: iptables v1.3.5: Couldn't load target
`CLUSTERIP':/lib/iptables/libipt_CLUSTERIP.so: cannot open shared object file:
No such file or directory
2. Error message: "-" not allowed as target

Expected results:
See: man iptables

Additional info:
Comment 1 Thomas Woerner 2006-04-11 07:42:52 EDT
The CLUSTERIP netfilter header file is missing (others too).

Assigning to glibc-kernheaders.
Comment 2 Michael Schwartzkopff 2007-03-25 06:21:49 EDT
Hi,

any plans to fix that bug? It is still there in fedora 6. Error message:
iptables v1.3.5: chain name not allowed to start with `-'

One year is quite a long time ...
Comment 3 David Woodhouse 2007-03-25 06:56:34 EDT
The headers are there in FC6. Reassigning to iptables.
Comment 4 Michael Schwartzkopff 2007-06-01 03:46:55 EDT
Hi, I just check F7 live. It still does not work with the same error message.
Any plans to fix it? WHEN? This bug exists for more than a year now.
Comment 5 Thomas Woerner 2007-09-24 12:16:47 EDT
Fixed in updates in package iptables-1.3.8-2 or newer.

Note You need to log in before you can comment on or make changes to this bug.